import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const mouthWidth = 10;
const mouthRadius = 160;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI /2)
  .endAngle(Math.PI * 1.5);

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 110;
const eyeOffsetY = 100;
const eyeRadius = 40;

const App = () => {
  return (
    <svg width={width} height={height}>
      <circle
        cx={centerX}
        cy={centerY}
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      ></circle>
      <circle
        cx={centerX - eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius}
        fill="black"
      ></circle>
      <circle
        cx={centerX + eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius}
        fill="black"
      ></circle>
      <path transform={`translate(${centerX},${centerY})`}  d={mouthArc()} />
    </svg>
  );
};

const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
